module IntelliJ
  module Module
    def self.included(base)
      base.extend self
    end

    def maven_module?(path)
      ::File.exist?("#{path}/pom.xml")
    end

    def generate_module_file_path(path, name)
      name ||= ::File.basename(path)
      "#{path}/#{name}.iml"
    end
  end
end
